# SyscallPrintDouble
Date: 2013-08-20

## mars.mips.instructions.syscalls
Class SyscallPrintDouble

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallPrintDouble

All Implemented Interfaces:
  Syscall

    public class SyscallPrintDouble

extends AbstractSyscall

Service to display double whose bits are stored in $f12 & $f13 onto the console. $f13 contains high order word of the double.

Constructor Summary
`SyscallPrintDouble()` Build an instance of the Print Double syscall.

Method Summary
`void` `simulate(ProgramStatement statement)` Performs syscall function to print double whose bits are stored in $f12 & $f13.

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallPrintDouble

    public SyscallPrintDouble()

  Build an instance of the Print Double syscall. Default service number is 3 and name is "PrintDouble".

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  Performs syscall function to print double whose bits are stored in $f12 & $f13.

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`